> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List assignable realm roles

> List the existing Keycloak realm roles that you can attach to a
`gravitino-shared` client's service account.



## OpenAPI

````yaml get /api/data_shares/realm-roles
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/data_shares/realm-roles:
    get:
      tags:
        - Data shares
      summary: List assignable realm roles
      description: |-
        List the existing Keycloak realm roles that you can attach to a
        `gravitino-shared` client's service account.
      operationId: list_realm_roles_api_data_shares_realm_roles_get
      responses:
        '200':
          description: List of realm roles.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RealmRoleListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden - insufficient permissions.
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    RealmRoleListResponse:
      properties:
        roles:
          items:
            $ref: '#/components/schemas/RealmRoleInfo'
          type: array
          title: Roles
        total:
          type: integer
          title: Total
      type: object
      required:
        - roles
        - total
      title: RealmRoleListResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    RealmRoleInfo:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
      title: RealmRoleInfo
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````